easy_admin:
    site_name: '<img src="https://simplon.co/wp-content/uploads/2018/10/Copie-de-simplon_grenoble.png" style="width:150px"/>'

    formats:
        datetime: 'd/m/Y \à h:i'

    design:
        assets:
            css:
                - 'bundles/easyadmin/bootstrap-all.css'
                # datepicker
                - 'admin/lib/datepicker/bootstrap-datepicker.min.css'

                # /!\ IMPORTANT Main
                - 'admin/css/main.css'
            js:
                - 'bundles/easyadmin/app.js'
                # datepicker
                - 'admin/lib/datepicker/bootstrap-datepicker.min.js'
                - 'admin/lib/datepicker/locales/bootstrap-datepicker.fr.min.js'

                # /!\ IMPORTANT Main
                - 'admin/js/main.js'


        menu:
            - { entity: 'Event', label: 'Événements', icon: 'calendar-check-o', default: true }
            - { entity: 'Promo', label: 'Promos', icon: 'certificate' }
            - { entity: 'Student', label: 'Apprenants', icon: 'users' }

    entities:

        Event:
            class: App\Entity\Event
            list:
                fields:
                    - { property: 'icon', label: 'Icône', css_class: 'event-icon' }
                    - { property: 'startDate', label: 'Date' }
                    - { property: 'title', label: 'Titre' }
                    - { property: 'image', type: 'image', base_path: '%app.path.events_images%' }
            form:
                fields:
                    - { property: 'title', label: 'Titre' }
                    - { property: 'description', label: 'Description', type: 'fos_ckeditor' }
                    - { property: 'startDate', label: 'Date de début' }
                    # - { property: 'startDate', label: 'Date de début', type_options: {'widget': 'single_text', 'format': 'yyyy-mm-dd', 'html5': false, 'attr': {'class': 'datepicker'}} }
                    - { property: 'icon', label: 'Icône', css_class: 'event-icon-form' }
                    - { property: 'imageFile', type: 'vich_image' }

        Promo:
            class: App\Entity\Promo
            list:
                fields:
                    - { property: 'name', label: 'Nom' }
                    - { property: 'startDate', label: 'Date de début' }
                    - { property: 'endDate', label: 'Date de fin' }
                    - { property: 'image', type: 'image', base_path: '%app.path.promos_images%' }

            form:
                fields:
                    - { property: 'name', label: 'Nom' }
                    - { property: 'description', label: 'Description', type: 'fos_ckeditor' }
                    # - { property: 'startDate', label: 'Date de début' }
                    # - { property: 'endDate', label: 'Date de fin' }
                    - { property: 'startDate', label: 'Date de début', type_options: {'widget': 'single_text', 'format': 'yyyy-MM-dd', 'html5': false, 'attr': {'class': 'datepicker'}} }
                    - { property: 'endDate', label: 'Date de fin', type_options: {'widget': 'single_text', 'format': 'yyyy-MM-dd', 'html5': false, 'attr': {'class': 'datepicker'}} }
                    - { property: 'imageFile', type: 'vich_image' }
                    # - { property: 'students', label: 'Apprenants', type: 'easyadmin_autocomplete', type_options: { class: 'App\Entity\Student' }  }
            show:
                fields:
                    - { property: 'name', label: 'Nom' }
                    - { property: 'description', label: 'Description' }
                    - { property: 'startDate', label: 'Date de début' }
                    - { property: 'endDate', label: 'Date de fin' }
                    - { property: 'students', label: 'Apprenants' }

        Student:
            class: App\Entity\Student
            list:
                fields:
                    - { property: 'image', type: 'image', base_path: '%app.path.students_images%' }
                    - { property: 'lastName', label: 'Nom' }
                    - { property: 'firstName', label: 'Prenom' }
                    - { property: 'promo', label: 'Promo' }
            # ...
            show:
                fields:
                    - { property: 'image', type: 'image', base_path: '%app.path.students_images%' }
                    - { property: 'lastName', label: 'Nom' }
                    - { property: 'firstName', label: 'Prenom' }
            form:
                fields:
                    - { property: 'imageFile', type: 'vich_image' }
                    - { property: 'lastName', label: 'Nom' }
                    - { property: 'firstName', label: 'Prenom' }
                    - { property: 'promo', label: 'Promo' }


    user:
        display_name: true
        display_avatar: false
        name_property_path: 'username'
        avatar_property_path: 'gravatar'
